import { PropertyValues } from 'lit';
import { IRegion } from '@uxland/regions';
declare const PetitionerActionMenu_base: any;
export declare class PetitionerActionMenu extends PetitionerActionMenu_base {
    constructor(icon: string, label: string);
    showText: boolean;
    petitionerSidenavRegion: IRegion | undefined;
    static styles: import('lit').CSSResult;
    firstUpdated(_changedProps: PropertyValues<PetitionerActionMenu>): void;
    observeHostResize(): void;
    render(): import('lit').TemplateResult<1>;
    icon: string;
    label: string;
}
export {};
